<?php
/**
* 404 Page Settings.
*
* @package Green Nursery
*/

$green_nursery_default = green_nursery_get_default_theme_options();

$wp_customize->add_section( 'green_nursery_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'green-nursery' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'green_nursery_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'green_nursery_404_main_title',
    array(
        'default'           => $green_nursery_default['green_nursery_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'green_nursery_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'green-nursery' ),
        'section'  => 'green_nursery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'green_nursery_404_subtitle_one',
    array(
        'default'           => $green_nursery_default['green_nursery_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'green_nursery_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'green-nursery' ),
        'section'  => 'green_nursery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'green_nursery_404_para_one',
    array(
        'default'           => $green_nursery_default['green_nursery_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'green_nursery_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'green-nursery' ),
        'section'  => 'green_nursery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'green_nursery_404_subtitle_two',
    array(
        'default'           => $green_nursery_default['green_nursery_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'green_nursery_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'green-nursery' ),
        'section'  => 'green_nursery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'green_nursery_404_para_two',
    array(
        'default'           => $green_nursery_default['green_nursery_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'green_nursery_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'green-nursery' ),
        'section'  => 'green_nursery_404_page_settings',
        'type'     => 'text',
    )
);